Package net.shibboleth.idp.saml.profile.logic

# Class MappedEntityAttributesPredicate

java.lang.Object
org.opensaml.saml.common.profile.logic.EntityAttributesPredicate
net.shibboleth.saml.profile.context.logic.MappedEntityAttributesPredicate
net.shibboleth.idp.saml.profile.logic.MappedEntityAttributesPredicate

All Implemented Interfaces:
  `Predicate<EntityDescriptor>`

@Deprecated(since="5.0.0", forRemoval=true) public class MappedEntityAttributesPredicate extends MappedEntityAttributesPredicate
Deprecated, for removal: This API element is subject to removal in a future version.
Deprecated stub for compatibility.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.saml.common.profile.logic.EntityAttributesPredicate

`EntityAttributesPredicate.Candidate`

## Constructor Summary

Constructors
Constructor
Description
`MappedEntityAttributesPredicate(Collection<EntityAttributesPredicate.Candidate> candidates)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.
`MappedEntityAttributesPredicate(Collection<EntityAttributesPredicate.Candidate> candidates, boolean trim)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.
`MappedEntityAttributesPredicate(Collection<EntityAttributesPredicate.Candidate> candidates, boolean trim, boolean all)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

## Method Summary

### Methods inherited from class net.shibboleth.saml.profile.context.logic.MappedEntityAttributesPredicate

`setScopeDelimiter, test`

### Methods inherited from class org.opensaml.saml.common.profile.logic.EntityAttributesPredicate

`getCandidates, getMatchAll, getTrimTags`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### MappedEntityAttributesPredicate

public MappedEntityAttributesPredicate(@Nonnull @ParameterName(name="candidates") Collection<EntityAttributesPredicate.Candidate> candidates)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

Parameters:
  `candidates` - the `EntityAttributesPredicate.Candidate` criteria to check for

### MappedEntityAttributesPredicate

public MappedEntityAttributesPredicate(@Nonnull @ParameterName(name="candidates") Collection<EntityAttributesPredicate.Candidate> candidates, @ParameterName(name="trim") boolean trim)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

Parameters:
  `candidates` - the `EntityAttributesPredicate.Candidate` criteria to check for
  `trim` - true iff the values found in the metadata should be trimmed before comparison

### MappedEntityAttributesPredicate

public MappedEntityAttributesPredicate(@Nonnull @ParameterName(name="candidates") Collection<EntityAttributesPredicate.Candidate> candidates, @ParameterName(name="trim") boolean trim, @ParameterName(name="all") boolean all)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

Parameters:
  `candidates` - the `EntityAttributesPredicate.Candidate` criteria to check for
  `trim` - true iff the values found in the metadata should be trimmed before comparison
  `all` - true iff all the criteria must match to be a successful test